## org.gnu.glib
Class MainLoop

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.glib.MainLoop

public class MainLoop
extends MemStruct

The MainLoop represents a main event loop. After it has been created, one should call `run()` to cause it to start processing the events. To exit the main loop, call `quit()`.

Constructor Summary
`MainLoop()` Creates a new MainLoop with the default context.

Method Summary
`boolean` `isRunning()` Checks to see if the main loop is currently being run via `run()`.
`void` `quit()` Stops the main loop from running.
`void` `run()` Runs a main loop until `quit()` is called on the loop.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainLoop

    public MainLoop()

  Creates a new MainLoop with the default context. After creation, the MainLoop is not running.

Method Detail

### run

    public void run()

  Runs a main loop until `quit()` is called on the loop.

### quit

    public void quit()

  Stops the main loop from running.

### isRunning

    public boolean isRunning()

  Checks to see if the main loop is currently being run via `run()`.

  Returns:
    TRUE if the main loop is currently being run.